com.google.gwt.user.tools

## Class WebAppCreator.ArgProcessor

- java.lang.Object
- - com.google.gwt.util.tools.ToolBase
  - - com.google.gwt.dev.ArgProcessorBase
    - - com.google.gwt.user.tools.WebAppCreator.ArgProcessor

Enclosing class:
  WebAppCreator

    class WebAppCreator.ArgProcessor
    extends com.google.gwt.dev.ArgProcessorBase

### Constructor Summary

Constructors
Constructor and Description
`ArgProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getName()`

### Methods inherited from class com.google.gwt.dev.ArgProcessorBase

`processArgs`

### Methods inherited from class com.google.gwt.util.tools.ToolBase

`checkJdkVersion, getDescription, printHelp, printHelp, registerHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArgProcessor

    public ArgProcessor()

### Method Detail

#### getName

    protected java.lang.String getName()

Specified by:
  `getName` in class `com.google.gwt.dev.ArgProcessorBase`